# include "top.c"

# include "split.c"

# include "tracking.c"

# include "homograph.c"

int Tcl_AppInit(Tcl_Interp* interp)
{
   int    status;

   status = Tcl_Init(interp);

   if (status != TCL_OK) {
       return TCL_ERROR;
   }
  
   status = Tk_Init(interp);

   if (status != TCL_OK) {
       return TCL_ERROR;
   }

/* Variables Tcl */
   
/* Nouvelles commandes Tcl/Tk */

   Tcl_CreateCommand(interp, "split", split, NULL, NULL);
   Tcl_CreateCommand(interp, "dessinepolygone", dessine_polygone, NULL, NULL);
   Tcl_CreateCommand(interp, "tracking", tracking, NULL, NULL);
   Tcl_CreateCommand(interp, "supertracking", supertracking, NULL, NULL);
   Tcl_CreateCommand(interp, "affiche_image", affiche_image, NULL, NULL);
   Tcl_CreateCommand(interp, "remplacement", remplacement, NULL, NULL);   

/* ouvrir le fichier */

   Tcl_EvalFile(interp,"./interface.tcl");

   return TCL_OK;
}


int
main(int argc, char** argv)
{
    Tk_Main(argc, argv, Tcl_AppInit);
    return 0;
}









