#!/bin/sh


if (test $# -ne 2)
then
  echo "Usage $0 <image> <sortie>"
  echo "  <image>   : nom de l'image (sur 1 octet au format pgm)"
  echo "  <sortie>  : nom du fichier de pixels a produire"
  exit
fi

bin=/users/profs/info/vaillant/maj/algebre/sun-bin

image=$1
sortie=$2
tmpimg=/tmp/img.$$


cat > /tmp/compix$$ <<EOF
nb_cam 1
cam_base 1
nb_master 1
input FILE
in_file seqbur
out_file seqbur

alpha 1.0
deviation 2.0
champ 2.0

action CHAIN_APPX
chain_value

% retour chain_appx
retour chain_pixel
EOF

$bin/sima3d > /dev/null -com /tmp/compix$$ -in $image -out $tmpimg

$bin/pixtoascii -in $tmpimg.pix  -out $sortie

rm $tmpimg.* /tmp/compix$$






