void coefficients (a1, a2, a3, X1, Y1, X2, Y2, X3, Y3, X4, Y4, h11, h12, h13, h21, h22, h23)
float a1, a2, a3;
int X1, Y1, X2, Y2, X3, Y3, X4, Y4;
float *h11, *h12, *h13, *h21, *h22, *h23;
{
  *h11=(X4-X1)/a3;
  *h12=(X2-X1)/a1;
  *h13=X1;
  *h21=(Y4-Y1)/a3;
  *h22=(Y2-Y1)/a1;
  *h23=Y1;
}


int affiche_image (ClientData client_data, Tcl_Interp* interp, int argc, char *argv[]) {
  unsigned char *data;
  int width, height;
  int i,j;
  char commande[100];

  data = load_pixmap("../affiche.pgm", &width, &height);
  for (i=0; i<width; i++)
    for (j=0; j<height; j++) {
      sprintf(commande,".image create line %d %d %d %d -fill #%.2X%.2X%.2X",i+50,j+50,i+51,j+50,*(data+j*width+i),*(data+j*width+i),*(data+j*width+i));
      Tcl_Eval(interp,commande);
    }
  return TCL_OK;
}


int remplacement (ClientData client_data, Tcl_Interp* interp, int argc, char *argv[]) {
  unsigned char *data;
  int width, height;
  int i,j;
  char commande[100];
  int X1, Y1, X2, Y2, X3, Y3, X4, Y4;
  int vx1, vy1, vx2, vy2, vx3, vy3, vx4, vy4;
  float a1, a2, a3;
  float h11, h12, h13, h21, h22, h23;
  int x,y;
  int fich;
  char *sX1, *sY1, *sX2, *sY2, *sX3, *sY3, *sX4, *sY4;
  char *svx1, *svy1, *svx2, *svy2, *svx3, *svy3, *svx4, *svy4; 


  data = load_pixmap("../affiche.pgm", &width, &height);
  X1 = atoi(Tcl_GetVar(interp, "rax", TCL_GLOBAL_ONLY));
  Y1 = atoi(Tcl_GetVar(interp, "ray", TCL_GLOBAL_ONLY));
  X2 = atoi(Tcl_GetVar(interp, "rbx", TCL_GLOBAL_ONLY));
  Y2 = atoi(Tcl_GetVar(interp, "rby", TCL_GLOBAL_ONLY));
  X3 = atoi(Tcl_GetVar(interp, "rcx", TCL_GLOBAL_ONLY));
  Y3 = atoi(Tcl_GetVar(interp, "rcy", TCL_GLOBAL_ONLY));
  X4 = atoi(Tcl_GetVar(interp, "rdx", TCL_GLOBAL_ONLY));
  Y4 = atoi(Tcl_GetVar(interp, "rdy", TCL_GLOBAL_ONLY));
  vx1 = atoi(Tcl_GetVar(interp, "rvax", TCL_GLOBAL_ONLY));
  vy1 = atoi(Tcl_GetVar(interp, "rvay", TCL_GLOBAL_ONLY));
  vx2 = atoi(Tcl_GetVar(interp, "rvbx", TCL_GLOBAL_ONLY));
  vy2 = atoi(Tcl_GetVar(interp, "rvby", TCL_GLOBAL_ONLY));
  vx3 = atoi(Tcl_GetVar(interp, "rvcx", TCL_GLOBAL_ONLY));
  vy3 = atoi(Tcl_GetVar(interp, "rvcy", TCL_GLOBAL_ONLY));
  vx4 = atoi(Tcl_GetVar(interp, "rvdx", TCL_GLOBAL_ONLY));
  vy4 = atoi(Tcl_GetVar(interp, "rvdy", TCL_GLOBAL_ONLY));

  a1 = -55.0;
  a2 = 25.0;
  a3 = 60.0;
  
  coefficients (a1, a2, a3, X1, Y1, X2, Y2, X3, Y3, X4, Y4, &h11, &h12, &h13, &h21, &h22, &h23);

  fich = atoi(Tcl_GetVar(interp, "rfich", TCL_GLOBAL_ONLY));

  sprintf (commande , "%d",fich+1);
  Tcl_SetVar(interp, "rfich", commande, TCL_GLOBAL_ONLY);

  sprintf(commande, "%d", fich);
  Tcl_SetVar(interp, "fich", commande, TCL_GLOBAL_ONLY);

  sprintf(commande, "supertracking %d %d %d %d %d %d %d %d %d 0 0 0 0",fich,X1,Y1,X2,Y2,vx1,vy1,vx2,vy2);
  Tcl_Eval(interp, commande);

  sX1 = Tcl_GetVar(interp, "ax", TCL_GLOBAL_ONLY);
  sY1 = Tcl_GetVar(interp, "ay", TCL_GLOBAL_ONLY);
  sX2 = Tcl_GetVar(interp, "bx", TCL_GLOBAL_ONLY);
  sY2 = Tcl_GetVar(interp, "by", TCL_GLOBAL_ONLY);
  svx1 = Tcl_GetVar(interp, "vax", TCL_GLOBAL_ONLY);
  svy1 = Tcl_GetVar(interp, "vay", TCL_GLOBAL_ONLY);
  svx2 = Tcl_GetVar(interp, "vbx", TCL_GLOBAL_ONLY);
  svy2 = Tcl_GetVar(interp, "vby", TCL_GLOBAL_ONLY); 

  if (atof(sY1)>atof(sY2)) {
    Tcl_SetVar(interp, "rax", sX1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "ray", sY1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rbx", sX2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rby", sY2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvax", svx1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvay", svy1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvbx", svx2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvby", svy2, TCL_GLOBAL_ONLY);
  } else {
    Tcl_SetVar(interp, "rax", sX2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "ray", sY2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rbx", sX1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rby", sY1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvax", svx2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvay", svy2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvbx", svx1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvby", svy1, TCL_GLOBAL_ONLY);
  }

  sprintf(commande, "supertracking %d %d %d %d %d %d %d %d %d 0 0 0 0",fich,X3,Y3,X4,Y4,vx3,vy3,vx4,vy4);
  Tcl_Eval(interp, commande);

  sX1 = Tcl_GetVar(interp, "ax", TCL_GLOBAL_ONLY);
  sY1 = Tcl_GetVar(interp, "ay", TCL_GLOBAL_ONLY);
  sX2 = Tcl_GetVar(interp, "bx", TCL_GLOBAL_ONLY);
  sY2 = Tcl_GetVar(interp, "by", TCL_GLOBAL_ONLY);
  svx1 = Tcl_GetVar(interp, "vax", TCL_GLOBAL_ONLY);
  svy1 = Tcl_GetVar(interp, "vay", TCL_GLOBAL_ONLY);
  svx2 = Tcl_GetVar(interp, "vbx", TCL_GLOBAL_ONLY);
  svy2 = Tcl_GetVar(interp, "vby", TCL_GLOBAL_ONLY); 

  if (atof(sX1)<atof(sX2)) {
    Tcl_SetVar(interp, "rcx", sX1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rcy", sY1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rdx", sX2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rdy", sY2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvcx", svx1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvcy", svy1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvdx", svx2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvdy", svy2, TCL_GLOBAL_ONLY);
  } else {
    Tcl_SetVar(interp, "rcx", sX2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rcy", sY2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rdx", sX1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rdy", sY1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvcx", svx2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvcy", svy2, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvdx", svx1, TCL_GLOBAL_ONLY);
    Tcl_SetVar(interp, "rvdy", svy1, TCL_GLOBAL_ONLY);
  }

  sprintf(commande,"image create photo fourgonette -file ../sequence/fourg.%d.pgm",fich);
  Tcl_Eval(interp,commande);
  Tcl_Eval(interp,".image create image 0 0 -image fourgonette -anchor nw");
  

  for (i=0; i<width; i++)
    for (j=0; j<height; j++) {
      x = (int) (h11*(i+7)+h12*(-height+j-15)+h13);
      y = (int) (h21*(i+7)+h22*(-height+j-15)+h23);
      sprintf(commande,".image create line %d %d %d %d -fill #%.2X%.2X%.2X",x,y,x+1,y,*(data+j*width+i),*(data+j*width+i),*(data+j*width+i));
      Tcl_Eval(interp,commande);
    }      

  return TCL_OK;
}
  
  




