liste merge (a,chaine)
int a;
liste chaine;
{
  liste aa,bb,cc;
  int compt=1;
  float ac,l;

  if (a == nb_elements(chaine)-1) return chaine;
  aa=debut(chaine);
  while (compt<a) {
    aa=aa->suiv;
    compt++;
  }
  bb=aa->suiv;
  cc=bb->suiv;
  ac=sqrt(((cc->y)-(aa->y))*((cc->y)-(aa->y))+((cc->x)-(aa->x))*((cc->x)-(aa->x)));
  if (ac==0) {
    if (aa->x==bb->x && aa->y==bb->y) {
      aa->suiv = cc;
      cc->prec = aa;
      return merge(a,chaine);
    } else return merge(a+1,chaine);
  }
  l=fabs(((((bb->x)-(aa->x))*((cc->y)-(aa->y)))-(((bb->y)-(aa->y))*((cc->x)-(aa->x))))/ac);
  if (l<epsilon) {
    aa->suiv = cc;
    cc->prec = aa;
    return merge(a,chaine);
  } else return merge(a+1,chaine);
}

liste splitrec (a,b,chaine) 
int a,b;
liste chaine;
{
  float ll=0;
  liste aa,bb,c,mm,aaa,bbb;
  float ab,l;
  int compt=1;
  int val;

  aa=debut(chaine);
  while (compt<a) {
    aa=aa->suiv;
    compt++;
  }

  compt=1;
  bb=debut(chaine);
  while (compt<b) {
    bb=bb->suiv;
    compt++;
  }

  if (b==a+1) {
    aaa=malloc(sizeof(struct liste_points));
    bbb=malloc(sizeof(struct liste_points));
    aaa->x = aa->x ; aaa->y = aa->y ;
    bbb->x = bb->x ; bbb->y = bb->y ;
    aaa->suiv = bbb; aaa->prec = NULL;
    bbb->suiv = NULL; bbb->prec = aaa;
    return aaa;
  }


  ab=sqrt(((bb->y)-(aa->y))*((bb->y)-(aa->y))+((bb->x)-(aa->x))*((bb->x)-(aa->x)));

  if (ab==0) {
    mm=aa->suiv;
    compt=a+1;
    while (compt<b) {
      l=sqrt(((mm->y)-(aa->y))*((mm->y)-(aa->y))+((mm->x)-(aa->x))*((mm->x)-(aa->x)));
      if (l>epsilon && l>ll) {
	ll=l;
	val=compt;
      }
      mm=mm->suiv;
      compt++;
    }
  } else {
    mm=aa->suiv;
    compt=a+1;
    while (compt<b) {
      l=fabs(((((mm->x)-(aa->x))*((bb->y)-(aa->y)))-(((mm->y)-(aa->y))*((bb->x)-(aa->x))))/ab);
      if (l>epsilon && l>ll) {
	ll=l;
	val=compt;
      }
      mm=mm->suiv;
      compt++;
    }
  }
  if (ll<epsilon) { 
    aaa=malloc(sizeof(struct liste_points));
    bbb=malloc(sizeof(struct liste_points));
    aaa->x = aa->x ; aaa->y = aa->y ;
    bbb->x = bb->x ; bbb->y = bb->y ;
    aaa->suiv = bbb; aaa->prec = NULL;
    bbb->suiv = NULL; bbb->prec = aaa;
    return aaa;
  } else {
    aaa=splitrec(a,val,chaine);
    bbb=splitrec(val,b,chaine);
    aaa=fin(aaa);
    bbb=debut(bbb);
    aaa->suiv=bbb;
    bbb->prec=aaa;
    return aaa;
  }
}

void lit_fichier (nt,fp,nom_fichier) 
int nt;
FILE *fp;
char *nom_fichier;
{
  FILE *ff;
  int n;
  int i,j;
  char *file;
  liste chaine[nt];
  liste polygone[nt];
  liste suivant;

  for (i=0; i<nt; i++) {
    fscanf(fp,"%d",&n);
    chaine[i]=malloc(sizeof(struct liste_points));
    fscanf(fp,"%d %d",&(chaine[i]->x),&(chaine[i]->y));
    chaine[i]->suiv = NULL;
    chaine[i]->prec = NULL;
    for (j=1; j<n; j++) {      
      suivant=malloc(sizeof(struct liste_points));
      fscanf(fp,"%d %d",&(suivant->x),&(suivant->y));
      suivant->suiv = NULL;
      suivant->prec = chaine[i];
      chaine[i]->suiv = suivant;
      chaine[i] = suivant;
    }
  }

  for (i=0; i<nt; i++) polygone[i]=splitrec(1,nb_elements(chaine[i]),chaine[i]);
  for (i=0; i<nt; i++) polygone[i]=merge(1,polygone[i]);
  file=strcat(nom_fichier,".polyg");
  ff= fopen(file,"w");
  fprintf(ff,"%d\n",nt);
  for (i=0; i<nt; i++) {
    fprintf(ff,"%d\n",nb_elements(polygone[i]));
    suivant=debut(polygone[i]);
    fprintf(ff,"%d %d",suivant->x,suivant->y);
    while (suivant->suiv != NULL) {
      suivant=suivant->suiv;
      fprintf(ff," %d %d",suivant->x,suivant->y);
    }
    fprintf(ff,"\n");
  }
  fclose(ff);
  for (i=0; i<nt; i++) {
    free(polygone[i]);
    free(chaine[i]);
  }
  free(suivant);
}


int split (ClientData client_data, Tcl_Interp* interp, int argc, char *argv[]) {
  char nom_fichier[40];
  FILE *fp;
  int nt;

  strcpy(nom_fichier,argv[1]);
  if ((fp = fopen(nom_fichier,"r")) == NULL) printf("Impossible d'ouvrir le fichier donnes\n");
  fscanf(fp,"%d",&nt);
  lit_fichier(nt,fp,nom_fichier);
  fclose(fp);
  return TCL_OK;
}

int dessine_polygone (ClientData client_data, Tcl_Interp* interp, int argc, char *argv[]) {
  int i,j,n,nt;
  int x1,x2,y1,y2,x3,y3;
  FILE *fp;
  char *nom_fichier;
  char commande[50];

  strcpy(nom_fichier,argv[1]);
  if ((fp = fopen(nom_fichier,"r")) == NULL) printf("Impossible d'ouvrir le fichier donnes\n");
  fscanf(fp,"%d",&nt);
  for (i=0; i<nt; i++) {
    fscanf(fp,"%d",&n);
    fscanf(fp,"%d %d %d %d",&x1,&y1,&x2,&y2);
    sprintf(commande,".image create line %d %d %d %d -fill yellow",x1,y1,x2,y2);
    Tcl_Eval(interp,commande);
    for (j=2; j<n; j++) {
      fscanf(fp,"%d %d",&x3,&y3);
      x1=x2;
      y1=y2;
      x2=x3;
      y2=y3;
      sprintf(commande,".image create line %d %d %d %d -fill yellow",x1,y1,x2,y2);
      Tcl_Eval(interp,commande);
    }
  }
  fclose(fp);
  return TCL_OK;
}
      








