/* tracking prend plusieurs arguments: 
   le numro du fichier de dpart
   les coordonnes du segment ax ay bx by
   la vitesse moyenne du segment vx vy */
   

int tracking (ClientData client_data, Tcl_Interp* interp, int argc, char *argv[]) {
  FILE *fp;
  int segments[10000][4];
  int i,j,nt,n,val;
  int seg0,seg1;
  int compt=0;
  int ndep,narr,fich;
  char nom_fichier[40];
  float vstate[3][4];
  float virtual[4],vitesse[4];
  float dist,dd;
  char commande[100];
  char* check;

  trouve=0;
  ndep=atoi(argv[1]);
  vstate[0][0]=atoi(argv[2]);
  vstate[0][1]=atoi(argv[3]);
  vstate[0][2]=atoi(argv[4]);
  vstate[0][3]=atoi(argv[5]);
  vstate[1][0]=atoi(argv[6]);
  vstate[1][1]=atoi(argv[7]);
  vstate[1][2]=atoi(argv[8]);
  vstate[1][3]=atoi(argv[9]);
  vstate[2][0]=atoi(argv[10]);
  vstate[2][1]=atoi(argv[11]);
  vstate[2][2]=atoi(argv[12]);
  vstate[2][3]=atoi(argv[13]);


  fich=ndep+1;
  
  sprintf(nom_fichier,"../chaine/fourg.%d.chain.polyg",fich);
  if ((fp = fopen(nom_fichier,"r")) == NULL) printf("Impossible d'ouvrir le fichier donnes\n");
  fscanf(fp,"%d",&nt);
  for (i=0; i<nt; i++) {
    fscanf(fp,"%d",&n);
    fscanf(fp,"%d %d %d %d",&segments[compt][0],&segments[compt][1],&segments[compt][2],&segments[compt][3]);
    compt++;
    j=2;
    while (j<n) {
      j++;
      fscanf(fp,"%d %d",&segments[compt+1][2],&segments[compt+1][3]);
      segments[compt+1][0]=segments[compt][2];
      segments[compt+1][1]=segments[compt][3];
      compt++;
    }
  }
  
  virtual[0]=vstate[0][0]+(vstate[1][0]+vstate[2][0]);
  virtual[1]=vstate[0][1]+(vstate[1][1]+vstate[2][1]);
  virtual[2]=vstate[0][2]+(vstate[1][2]+vstate[2][2]);
  virtual[3]=vstate[0][3]+(vstate[1][3]+vstate[2][3]);

  dd=seuil;
  for (i=0; i<compt; i++) {
    dist=(virtual[0]-segments[i][0])*(virtual[0]-segments[i][0]);
    dist=dist+(virtual[1]-segments[i][1])*(virtual[1]-segments[i][1]);
    dist=dist+(virtual[2]-segments[i][2])*(virtual[2]-segments[i][2]);
    dist=dist+(virtual[3]-segments[i][3])*(virtual[3]-segments[i][3]);
    dist=sqrt(dist);
    if (dist<dd) {
      dd=dist;
      val=i;
    }
    dist=(virtual[0]-segments[i][2])*(virtual[0]-segments[i][2]);
    dist=dist+(virtual[1]-segments[i][3])*(virtual[1]-segments[i][3]);
    dist=dist+(virtual[2]-segments[i][0])*(virtual[2]-segments[i][0]);
    dist=dist+(virtual[3]-segments[i][1])*(virtual[3]-segments[i][1]);
    dist=sqrt(dist);
    if (dist<dd) {
      dd=dist;
      val=i;
      seg0=segments[i][0];
      seg1=segments[i][1];
      segments[i][0]=segments[i][2];
      segments[i][1]=segments[i][3];
      segments[i][2]=seg0;
      segments[i][3]=seg1;
    }
  }

  if (dd<seuil) {
    vitesse[0]=segments[val][0]-vstate[0][0];
    vitesse[1]=segments[val][1]-vstate[0][1];
    vitesse[2]=segments[val][2]-vstate[0][2];
    vitesse[3]=segments[val][3]-vstate[0][3];
    vstate[2][0]=vitesse[0]-vstate[1][0];
    vstate[2][1]=vitesse[1]-vstate[1][1];
    vstate[2][2]=vitesse[2]-vstate[1][2];
    vstate[2][3]=vitesse[3]-vstate[1][3];
    vstate[1][0]=vitesse[0];
    vstate[1][1]=vitesse[1];
    vstate[1][2]=vitesse[2];
    vstate[1][3]=vitesse[3];
    vstate[0][0]=segments[val][0];
    vstate[0][1]=segments[val][1];
    vstate[0][2]=segments[val][2];
    vstate[0][3]=segments[val][3];

    vitesse[0]=(vstate[1][0]+vstate[1][2])/2;
    vitesse[1]=(vstate[1][1]+vstate[1][3])/2;
    vitesse[2]=(vstate[2][0]+vstate[2][2])/2;
    vitesse[3]=(vstate[2][1]+vstate[2][3])/2;
    vstate[1][0]=vitesse[0];
    vstate[1][1]=vitesse[1];
    vstate[1][2]=vitesse[0];
    vstate[1][3]=vitesse[1];
    vstate[2][0]=vitesse[2];
    vstate[2][1]=vitesse[3];
    vstate[2][2]=vitesse[2];
    vstate[2][3]=vitesse[3];
    
    check = Tcl_GetVar(interp, "acceler", TCL_GLOBAL_ONLY);
    if (atoi(check)==0) {
      vstate[2][0]=0;
      vstate[2][1]=0;
      vstate[2][2]=0;
      vstate[2][3]=0;
    }
 
    sprintf(commande,"image create photo fourgonette -file ../sequence/fourg.%d.pgm",fich);
    Tcl_Eval(interp,commande);
    Tcl_Eval(interp,".image create image 0 0 -image fourgonette -anchor nw");
    sprintf(commande,".image create line %d %d %d %d -fill red",(int) vstate[0][0],(int) vstate[0][1],(int) vstate[0][2],(int) vstate[0][3]);
    Tcl_Eval(interp,commande);

    Tcl_Eval(interp,".top.num delete 0 end");
    Tcl_Eval(interp,".l1.fich delete 0 end");
    Tcl_Eval(interp,".l2.ax delete 0 end");
    Tcl_Eval(interp,".l2.ay delete 0 end");
    Tcl_Eval(interp,".l2.bx delete 0 end");
    Tcl_Eval(interp,".l2.by delete 0 end");
    Tcl_Eval(interp,".l3.vax delete 0 end");
    Tcl_Eval(interp,".l3.vay delete 0 end");
    Tcl_Eval(interp,".l3.vbx delete 0 end");
    Tcl_Eval(interp,".l3.vby delete 0 end");
    Tcl_Eval(interp,".l4.aax delete 0 end");
    Tcl_Eval(interp,".l4.aay delete 0 end");
    Tcl_Eval(interp,".l4.abx delete 0 end");
    Tcl_Eval(interp,".l4.aby delete 0 end");

    sprintf(commande,".top.num insert 0 %d",ndep);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l1.fich insert 0 %d",ndep+1);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l2.ax insert 0 %f",vstate[0][0]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l2.ay insert 0 %f",vstate[0][1]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l2.bx insert 0 %f",vstate[0][2]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l2.by insert 0 %f",vstate[0][3]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l3.vax insert 0 %f",vstate[1][0]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l3.vay insert 0 %f",vstate[1][1]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l3.vbx insert 0 %f",vstate[1][2]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l3.vby insert 0 %f",vstate[1][3]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l4.aax insert 0 %f",vstate[2][0]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l4.aay insert 0 %f",vstate[2][1]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l4.abx insert 0 %f",vstate[2][2]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l4.aby insert 0 %f",vstate[2][3]);
    Tcl_Eval(interp,commande);

  } else {
    printf("Je n'ai pas trouv de segment suivant, dsol\n");
    return TCL_OK;
  }
  return TCL_OK;
}


void strack(interp, nt, fp, fich, vstate, virtual)
Tcl_Interp* interp;
int nt;
FILE *fp;
int fich;
float vstate[3][4];
float virtual[4];
{
  liste chaine[nt];
  liste suivant;
  liste nouveau;
  char commande[100];
  int i, j, k, n, ax, ay, bx, by, deb;
  float cx, cy;
  float x, y;
  int compt, test, val;
  float ab, l, l1, l2;
  float longueur, longtest, scal;
  float vitesse[4];
  char* check;

  for (i=0; i<nt; i++) {
    fscanf(fp,"%d",&n);
    chaine[i]=malloc(sizeof(struct liste_points));
    fscanf(fp,"%d %d",&(chaine[i]->x),&(chaine[i]->y));
    chaine[i]->suiv = NULL;
    chaine[i]->prec = NULL;
    for (j=1; j<n; j++) {      
      suivant=malloc(sizeof(struct liste_points));
      fscanf(fp,"%d %d",&(suivant->x),&(suivant->y));
      suivant->suiv = NULL;
      suivant->prec = chaine[i];
      chaine[i]->suiv = suivant;
      chaine[i] = suivant;
    }
  }

  ab=sqrt(((virtual[3])-(virtual[1]))*((virtual[3])-(virtual[1]))+((virtual[2])-(virtual[0]))*((virtual[2])-(virtual[0])));
  
  test=0;
  for (i=0; i<nt; i++) {
    compt=0;
    chaine[i]=debut(chaine[i]);
    x=0; y=0; j=0; k=0;
    while (chaine[i]->suiv != NULL) {
      j++;
      l=fabs(((((chaine[i]->x)-(virtual[0]))*((virtual[3])-(virtual[1])))-(((chaine[i]->y)-(virtual[1]))*((virtual[2])-(virtual[0]))))/ab); 
      scal=(((chaine[i]->x)-virtual[0])*(virtual[2]-virtual[0])+((chaine[i]->y)-virtual[1])*(virtual[3]-virtual[1]));      
      if (l<incertitude && scal/ab+1>=0 && scal<=ab*(ab+1)) {
	compt++;
	if (k==0) k=j;
      }
      chaine[i]=chaine[i]->suiv;
    }
    if (compt>test) {
      test=compt;
      val=i;      
      deb=k;
    }
  }

/* a ce moment val est le numro de la chaine sur laquelle on va travailler */

/*  longtest=0;
  chaine[val]=debut(chaine[val]);
  while (chaine[val]->suiv != NULL) {
    chaine[val]=chaine[val]->suiv;
    l=fabs(((((chaine[val]->x)-(virtual[0]))*((virtual[3])-(virtual[1])))-(((chaine[val]->y)-(virtual[1]))*((virtual[2])-(virtual[0]))))/ab); 
    scal=(((chaine[val]->x)-virtual[0])*(virtual[2]-virtual[0])+((chaine[val]->y)-virtual[1])*(virtual[3]-virtual[1]));   
    
    while ((l>incertitude || scal/ab+1<0 || scal>ab*(ab+1)) && chaine[val]->suiv!=NULL) {
      chaine[val]=chaine[val]->suiv;
      l=fabs(((((chaine[val]->x)-(virtual[0]))*((virtual[3])-(virtual[1])))-(((chaine[val]->y)-(virtual[1]))*((virtual[2])-(virtual[0]))))/ab); 
      scal=(((chaine[val]->x)-virtual[0])*(virtual[2]-virtual[0])+((chaine[val]->y)-virtual[1])*(virtual[3]-virtual[1]));   
    }
    ax = chaine[val]->x;
    ay = chaine[val]->y;
    while (l<incertitude && scal/ab+1>=0 && scal<=ab*(ab+1) && chaine[val]->suiv != NULL) {
      chaine[val]=chaine[val]->suiv;
      l=fabs(((((chaine[val]->x)-(virtual[0]))*((virtual[3])-(virtual[1])))-(((chaine[val]->y)-(virtual[1]))*((virtual[2])-(virtual[0]))))/ab); 
      scal=(((chaine[val]->x)-virtual[0])*(virtual[2]-virtual[0])+((chaine[val]->y)-virtual[1])*(virtual[3]-virtual[1])); 
    }
    bx = chaine[val]->x;
    by = chaine[val]->y;
    l1=sqrt((bx-virtual[0])*(bx-virtual[0])+(by-virtual[1])*(by-virtual[1]))+sqrt((ax-virtual[2])*(ax-virtual[2])+(ay-virtual[3])*(ay-virtual[3]));
    l2=sqrt((bx-virtual[2])*(bx-virtual[2])+(by-virtual[3])*(by-virtual[3]))+sqrt((ax-virtual[0])*(ax-virtual[0])+(ay-virtual[1])*(ay-virtual[1]));
    
    if (l1<2*incertitude || l2<2*incertitude) {
      longtest=1;
      break;
    }
  }      */
  
  

  nouveau = splitrec(deb,nb_elements(chaine[val]),chaine[val]);
  nouveau = debut(nouveau);
  bx = nouveau->x;
  by = nouveau->y;
  i=0;
  longtest=3*incertitude;
  while (nouveau->suiv != NULL) {
    i++;
    nouveau = nouveau->suiv;
    ax = bx;
    ay = by;
    bx = nouveau->x;
    by = nouveau->y;
    l1=sqrt((bx-virtual[0])*(bx-virtual[0])+(by-virtual[1])*(by-virtual[1]))+sqrt((ax-virtual[2])*(ax-virtual[2])+(ay-virtual[3])*(ay-virtual[3]));
    l2=sqrt((bx-virtual[2])*(bx-virtual[2])+(by-virtual[3])*(by-virtual[3]))+sqrt((ax-virtual[0])*(ax-virtual[0])+(ay-virtual[1])*(ay-virtual[1]));

    if (l1<longtest || l2<longtest) {
      val=i;
      if (l1<=l2) longtest=l1; else longtest=l2;
    }
  }

  if (longtest!=3*incertitude) {

    i=0;
    nouveau=debut(nouveau);
    bx=nouveau->x;
    by=nouveau->y;
    while (i<val) {
      i++;
      nouveau = nouveau->suiv;
      ax=bx;
      ay=by;
      bx = nouveau->x;
      by = nouveau->y;
    }      
    
    if (fabs(ay-vstate[0][1])<=2*incertitude && fabs(ax-vstate[0][0])<=2*incertitude) {
      vitesse[0]=ax-vstate[0][0];
      vitesse[1]=ay-vstate[0][1];
      vitesse[2]=bx-vstate[0][2];
      vitesse[3]=by-vstate[0][3];
      vstate[2][0]=vitesse[0]-vstate[1][0];
      vstate[2][1]=vitesse[1]-vstate[1][1];
      vstate[2][2]=vitesse[2]-vstate[1][2];
      vstate[2][3]=vitesse[3]-vstate[1][3];
      vstate[1][0]=vitesse[0];
      vstate[1][1]=vitesse[1];
      vstate[1][2]=vitesse[2];
      vstate[1][3]=vitesse[3];
      vstate[0][0]=ax;
      vstate[0][1]=ay;
      vstate[0][2]=bx;
      vstate[0][3]=by;
    } else {
      vitesse[0]=ax-vstate[0][2];
      vitesse[1]=ay-vstate[0][3];
      vitesse[2]=bx-vstate[0][0];
      vitesse[3]=by-vstate[0][1];
      vstate[2][0]=vitesse[0]-vstate[1][0];
      vstate[2][1]=vitesse[1]-vstate[1][1];
      vstate[2][2]=vitesse[2]-vstate[1][2];
      vstate[2][3]=vitesse[3]-vstate[1][3];
      vstate[1][0]=vitesse[0];
      vstate[1][1]=vitesse[1];
      vstate[1][2]=vitesse[2];
      vstate[1][3]=vitesse[3];
      vstate[0][0]=ax;
      vstate[0][1]=ay;
      vstate[0][2]=bx;
      vstate[0][3]=by;
    }
      
 
    vitesse[0]=(vstate[1][0]+vstate[1][2])/4+3*vstate[1][0]/4;
    vitesse[1]=(vstate[1][1]+vstate[1][3])/4+3*vstate[1][1]/4;
    vitesse[2]=(vstate[1][0]+vstate[1][2])/4+3*vstate[1][2]/4;
    vitesse[3]=(vstate[1][1]+vstate[1][3])/4+3*vstate[1][3]/4;
    vstate[1][0]=vitesse[0];
    vstate[1][1]=vitesse[1];
    vstate[1][2]=vitesse[2];
    vstate[1][3]=vitesse[3];
        
    
    check = Tcl_GetVar(interp, "acceler", TCL_GLOBAL_ONLY);
    if (atoi(check)==0) {
      vstate[2][0]=0;
      vstate[2][1]=0;
      vstate[2][2]=0;
      vstate[2][3]=0;
  /*    vstate[1][1]=0;
      vstate[1][3]=0;  */
    }
    
    sprintf(commande,"image create photo fourgonette -file ../sequence/fourg.%d.pgm",fich);
    Tcl_Eval(interp,commande);
    Tcl_Eval(interp,".image create image 0 0 -image fourgonette -anchor nw");
    sprintf(commande,".image create line %d %d %d %d -fill red",(int) vstate[0][0],(int) vstate[0][1],(int) vstate[0][2],(int) vstate[0][3]);
    Tcl_Eval(interp,commande);
    
    Tcl_Eval(interp,".top.num delete 0 end");
    Tcl_Eval(interp,".l1.fich delete 0 end");
    Tcl_Eval(interp,".l2.ax delete 0 end");
    Tcl_Eval(interp,".l2.ay delete 0 end");
    Tcl_Eval(interp,".l2.bx delete 0 end");
    Tcl_Eval(interp,".l2.by delete 0 end");
    Tcl_Eval(interp,".l3.vax delete 0 end");
    Tcl_Eval(interp,".l3.vay delete 0 end");
    Tcl_Eval(interp,".l3.vbx delete 0 end");
    Tcl_Eval(interp,".l3.vby delete 0 end");
    Tcl_Eval(interp,".l4.aax delete 0 end");
    Tcl_Eval(interp,".l4.aay delete 0 end");
    Tcl_Eval(interp,".l4.abx delete 0 end");
    Tcl_Eval(interp,".l4.aby delete 0 end");
    
    sprintf(commande,".top.num insert 0 %d",fich-1);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l1.fich insert 0 %d",fich);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l2.ax insert 0 %f",vstate[0][0]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l2.ay insert 0 %f",vstate[0][1]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l2.bx insert 0 %f",vstate[0][2]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l2.by insert 0 %f",vstate[0][3]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l3.vax insert 0 %f",vstate[1][0]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l3.vay insert 0 %f",vstate[1][1]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l3.vbx insert 0 %f",vstate[1][2]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l3.vby insert 0 %f",vstate[1][3]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l4.aax insert 0 %f",vstate[2][0]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l4.aay insert 0 %f",vstate[2][1]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l4.abx insert 0 %f",vstate[2][2]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l4.aby insert 0 %f",vstate[2][3]);
    Tcl_Eval(interp,commande);
    trouve=0;
  } else if (trouve==0) {
    ax=vstate[0][0]+vstate[1][0]+vstate[2][0];
    ay=vstate[0][1]+vstate[1][1]+vstate[2][1];
    bx=vstate[0][2]+vstate[1][2]+vstate[2][2];
    by=vstate[0][3]+vstate[1][3]+vstate[2][3];
    
    vitesse[0]=ax-vstate[0][0];
    vitesse[1]=ay-vstate[0][1];
    vitesse[2]=bx-vstate[0][2];
    vitesse[3]=by-vstate[0][3];
    vstate[2][0]=vitesse[0]-vstate[1][0];
    vstate[2][1]=vitesse[1]-vstate[1][1];
    vstate[2][2]=vitesse[2]-vstate[1][2];
    vstate[2][3]=vitesse[3]-vstate[1][3];
    vstate[1][0]=vitesse[0];
    vstate[1][1]=vitesse[1];
    vstate[1][2]=vitesse[2];
    vstate[1][3]=vitesse[3];
    vstate[0][0]=ax;
    vstate[0][1]=ay;
    vstate[0][2]=bx;
    vstate[0][3]=by;

    vitesse[0]=(vstate[1][0]+vstate[1][2])/4+3*vstate[1][0]/4;
    vitesse[1]=(vstate[1][1]+vstate[1][3])/4+3*vstate[1][1]/4;
    vitesse[2]=(vstate[1][0]+vstate[1][2])/4+3*vstate[1][2]/4;
    vitesse[3]=(vstate[1][1]+vstate[1][3])/4+3*vstate[1][3]/4;
    vstate[1][0]=vitesse[0];
    vstate[1][1]=vitesse[1];
    vstate[1][2]=vitesse[2];
    vstate[1][3]=vitesse[3];
        
 
    
    check = Tcl_GetVar(interp, "acceler", TCL_GLOBAL_ONLY);
    printf("J'ai pas trouv mais je continue\n");
    if (atoi(check)==0) {
      vstate[2][0]=0;
      vstate[2][1]=0;
      vstate[2][2]=0;
      vstate[2][3]=0;
  /*    vstate[1][1]=0;
      vstate[1][3]=0;  */
    }
    
    sprintf(commande,"image create photo fourgonette -file ../sequence/fourg.%d.pgm",fich);
    Tcl_Eval(interp,commande);
    Tcl_Eval(interp,".image create image 0 0 -image fourgonette -anchor nw");
    sprintf(commande,".image create line %d %d %d %d -fill red",(int) vstate[0][0],(int) vstate[0][1],(int) vstate[0][2],(int) vstate[0][3]);
    Tcl_Eval(interp,commande);
    
    Tcl_Eval(interp,".top.num delete 0 end");
    Tcl_Eval(interp,".l1.fich delete 0 end");
    Tcl_Eval(interp,".l2.ax delete 0 end");
    Tcl_Eval(interp,".l2.ay delete 0 end");
    Tcl_Eval(interp,".l2.bx delete 0 end");
    Tcl_Eval(interp,".l2.by delete 0 end");
    Tcl_Eval(interp,".l3.vax delete 0 end");
    Tcl_Eval(interp,".l3.vay delete 0 end");
    Tcl_Eval(interp,".l3.vbx delete 0 end");
    Tcl_Eval(interp,".l3.vby delete 0 end");
    Tcl_Eval(interp,".l4.aax delete 0 end");
    Tcl_Eval(interp,".l4.aay delete 0 end");
    Tcl_Eval(interp,".l4.abx delete 0 end");
    Tcl_Eval(interp,".l4.aby delete 0 end");
    
    sprintf(commande,".top.num insert 0 %d",fich-1);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l1.fich insert 0 %d",fich);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l2.ax insert 0 %f",vstate[0][0]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l2.ay insert 0 %f",vstate[0][1]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l2.bx insert 0 %f",vstate[0][2]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l2.by insert 0 %f",vstate[0][3]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l3.vax insert 0 %f",vstate[1][0]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l3.vay insert 0 %f",vstate[1][1]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l3.vbx insert 0 %f",vstate[1][2]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l3.vby insert 0 %f",vstate[1][3]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l4.aax insert 0 %f",vstate[2][0]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l4.aay insert 0 %f",vstate[2][1]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l4.abx insert 0 %f",vstate[2][2]);
    Tcl_Eval(interp,commande);
    sprintf(commande,".l4.aby insert 0 %f",vstate[2][3]);
    Tcl_Eval(interp,commande);
    trouve=1;
  } else {
    printf("pas trouv\n");
  } 
}

int supertracking (ClientData client_data, Tcl_Interp* interp, int argc, char *argv[]) {
  FILE *fp;
  int nt;
  int ndep,fich;
  char nom_fichier[40];
  float vstate[3][4];
  float virtual[4];

  ndep=atoi(argv[1]);
  vstate[0][0]=atoi(argv[2]);
  vstate[0][1]=atoi(argv[3]);
  vstate[0][2]=atoi(argv[4]);
  vstate[0][3]=atoi(argv[5]);
  vstate[1][0]=atoi(argv[6]);
  vstate[1][1]=atoi(argv[7]);
  vstate[1][2]=atoi(argv[8]);
  vstate[1][3]=atoi(argv[9]);
  vstate[2][0]=atoi(argv[10]);
  vstate[2][1]=atoi(argv[11]);
  vstate[2][2]=atoi(argv[12]);
  vstate[2][3]=atoi(argv[13]);

  fich=ndep+1;

  virtual[0]=vstate[0][0]+(vstate[1][0]+vstate[2][0]);
  virtual[1]=vstate[0][1]+(vstate[1][1]+vstate[2][1]);
  virtual[2]=vstate[0][2]+(vstate[1][2]+vstate[2][2]);
  virtual[3]=vstate[0][3]+(vstate[1][3]+vstate[2][3]);

  sprintf(nom_fichier,"../chaine/fourg.%d.chain",fich);
  if ((fp = fopen(nom_fichier,"r")) == NULL) printf("Impossible d'ouvrir le fichier donnes\n");
  fscanf(fp,"%d",&nt);
  strack(interp, nt,fp,fich,vstate,virtual);
  fclose(fp);
}

















